Start a large upload
curl --request POST \
--url https://app.outboundlegal.com/api/v1/reports/uploads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"size": 123,
"filename": "<string>",
"state": "<string>"
}
'import requests
url = "https://app.outboundlegal.com/api/v1/reports/uploads"
payload = {
"size": 123,
"filename": "<string>",
"state": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({size: 123, filename: '<string>', state: '<string>'})
};
fetch('https://app.outboundlegal.com/api/v1/reports/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.outboundlegal.com/api/v1/reports/uploads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'size' => 123,
'filename' => '<string>',
'state' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.outboundlegal.com/api/v1/reports/uploads"
payload := strings.NewReader("{\n \"size\": 123,\n \"filename\": \"<string>\",\n \"state\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.outboundlegal.com/api/v1/reports/uploads")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"size\": 123,\n \"filename\": \"<string>\",\n \"state\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.outboundlegal.com/api/v1/reports/uploads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"size\": 123,\n \"filename\": \"<string>\",\n \"state\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"upload": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"method": "PUT",
"headers": {},
"expires_in_seconds": 123
}
}{
"code": "unauthorized",
"message": "<string>"
}{
"error": {
"code": "unauthorized",
"message": "Send your API key as: Authorization: Bearer obl_…"
}
}{
"error": {
"code": "not_enabled",
"message": "The API isn't turned on for this account yet."
}
}{
"error": {
"code": "rate_limited",
"message": "Too many requests. The limit is 120 per minute per key."
}
}{
"error": {
"code": "unauthorized",
"message": "<string>"
}
}Reports
Start a large upload
For any PDF up to 100 MB. Returns a URL: PUT the file there with the returned headers within an hour, then call POST /reports/uploads//finalize.
POST
/
reports
/
uploads
Start a large upload
curl --request POST \
--url https://app.outboundlegal.com/api/v1/reports/uploads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"size": 123,
"filename": "<string>",
"state": "<string>"
}
'import requests
url = "https://app.outboundlegal.com/api/v1/reports/uploads"
payload = {
"size": 123,
"filename": "<string>",
"state": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({size: 123, filename: '<string>', state: '<string>'})
};
fetch('https://app.outboundlegal.com/api/v1/reports/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.outboundlegal.com/api/v1/reports/uploads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'size' => 123,
'filename' => '<string>',
'state' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.outboundlegal.com/api/v1/reports/uploads"
payload := strings.NewReader("{\n \"size\": 123,\n \"filename\": \"<string>\",\n \"state\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.outboundlegal.com/api/v1/reports/uploads")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"size\": 123,\n \"filename\": \"<string>\",\n \"state\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.outboundlegal.com/api/v1/reports/uploads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"size\": 123,\n \"filename\": \"<string>\",\n \"state\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"upload": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"method": "PUT",
"headers": {},
"expires_in_seconds": 123
}
}{
"code": "unauthorized",
"message": "<string>"
}{
"error": {
"code": "unauthorized",
"message": "Send your API key as: Authorization: Bearer obl_…"
}
}{
"error": {
"code": "not_enabled",
"message": "The API isn't turned on for this account yet."
}
}{
"error": {
"code": "rate_limited",
"message": "Too many requests. The limit is 120 per minute per key."
}
}{
"error": {
"code": "unauthorized",
"message": "<string>"
}
}Authorizations
An API key from Settings → Integrations → API keys. Keys look like obl_ followed by 43 letters, numbers, - or _.
Body
application/json
Response
Where to PUT the file.
Show child attributes
Show child attributes

